| Home | Libraries | People | FAQ | More

## Struct template on_definedness<Type, false>

boost::icl::interval_base_map::on_definedness<Type, false>

## Synopsis

    // In header: <boost/icl/interval_base_map.hpp>

    template<typename Type>
    struct on_definedness<Type, false> {

      // public static functions
      static void add_intersection(Type &, const Type &, const segment_type &);
    };

## Description

### `on_definedness` public static functions

1.     static void add_intersection(Type & section, const Type & object,
                                    const segment_type & operand);